import request from '@/utils/request'

// 查询用章申请列表
export function listSeal(query) {
  return request({
    url: '/service/seal/list',
    method: 'get',
    params: query
  })
}

// 查询用章申请详细
export function getSeal(id) {
  return request({
    url: '/service/seal/get/' + id,
    method: 'get'
  })
}

// 新增用章申请
export function addSeal(data) {
  return request({
    url: '/service/seal/add',
    method: 'post',
    data: data
  })
}

// 修改用章申请
export function updateSeal(data) {
  return request({
    url: '/service/seal/edit',
    method: 'post',
    data: data
  })
}

// 删除用章申请
export function delSeal(id) {
  return request({
    url: '/service/seal/remove/' + id,
    method: 'get'
  })
}

// 导出用章申请
export function exportSeal(query) {
  return request({
    url: '/service/seal/export',
    method: 'get',
    params: query
  })
}

// 模糊查询权利人列表
export function checkMemberInformation(query) {
  return request({
    url: '/service/farmer/queryListByName/',
    method: 'get',
    params: query
  })
}
// 查询用章申请列表
export function listsSeal(query) {
  return request({
    url: '/service/seal/lists',
    method: 'get',
    params: query
  })
}
